seo:
  title: Why the Manjaro Linux distribution builds with GitLab
  description: >-
    Watch this interview with the Manjaro project to learn why the Linux
    distribution chooses to build with GitLab.
  ogTitle: Why the Manjaro Linux distribution builds with GitLab
  ogDescription: >-
    Watch this interview with the Manjaro project to learn why the Linux
    distribution chooses to build with GitLab.
  noIndex: false
  ogImage: images/blog/hero-images/tanukilifecycle.png
  ogUrl: https://about.gitlab.com/blog/why-manjaro-builds-with-gitlab
  ogSiteName: https://about.gitlab.com
  ogType: article
  canonicalUrls: https://about.gitlab.com/blog/why-manjaro-builds-with-gitlab
  schema: |2-

                            {
            "@context": "https://schema.org",
            "@type": "Article",
            "headline": "Why the Manjaro Linux distribution builds with GitLab",
            "author": [{"@type":"Person","name":"Bryan Behrenshausen"}],
            "datePublished": "2023-08-29",
          }

content:
  title: Why the Manjaro Linux distribution builds with GitLab
  description: >-
    Watch this interview with the Manjaro project to learn why the Linux
    distribution chooses to build with GitLab.
  authors:
    - Bryan Behrenshausen
  heroImage: images/blog/hero-images/tanukilifecycle.png
  date: '2023-08-29'
  body: >

    The [Manjaro](https://manjaro.org/) project is the newest member of the
    [GitLab Open Source Partners](https://go.gitlab.com/BM5JwV) community. Linux
    users know the Manjaro project as an [open
    source](https://go.gitlab.com/wYTY0o) operating system that is fast,
    reliable, and user-friendly. We recently caught up with project leaders
    [Philip Müller](https://gitlab.com/philm) and [Bernhard
    Landauer](https://gitlab.com/oberon-manjaro) to learn how GitLab helps the
    Manjaro community accomplish its great work.


    > [Join us at Open Source Summit Europe 2023](https://go.gitlab.com/dPQ92t)
    to learn more about GitLab's dedication to open source.


    ## Why the Manjaro project moved to GitLab

    In 2018, the Manjaro community decided to [adopt
    GitLab](https://gitlab.manjaro.org) as its development platform, citing
    several key motivations:

    * **Achieve greater data sovereignty.** By migrating to a new development
    platform, Manjaro wanted to gain greater control over project development
    infrastructure. The community now hosts its own dedicated GitLab instance,
    where all critical Manjaro development occurs. The move has meant greater
    freedom and autonomy for the community. "It feels really good to self-host
    and have our own control," Landauer said.


    * **Empower a small group of volunteers.** Like so many other open source
    projects, Manjaro relies on the dedicated work of volunteer contributors
    from across the world. Müller explained that the project needed a toolkit
    that could equip a core group of 16 developers to maintain [more than 3,000
    packages](https://gitlab.manjaro.org/packages) and foster a community of
    roughly 8,000 participants. GitLab's sophisticated [CI/CD
    functionality](https://docs.gitlab.com/ee/ci/) helps the community scale to
    empower its relatively small developer team to manage ever-increasing
    complexity.


    * **Expand monitoring capabilities.** Using GitLab grants community leads
    much greater visibility into the project's operations, Müller said. By
    configuring various activity feeds, maintainers can more efficiently monitor
    potential pipeline issues and build failures across projects in the Manjaro
    namespace. Adopting GitLab also produced an interesting network effect for
    Manjaro: Using the same platform as peers, dependencies, and upstream
    projects meant greater overall visibility into Manjaro's open source
    ecosystem. "Projects like [GNOME and KDE are
    switching](https://go.gitlab.com/BM5JwV) also over to GitLab," Müller said.
    "We can look at what the upstream is doing."


    ## Watch the interview

    To learn more about Manjaro's use of GitLab, watch the full interview.


    <!-- blank line -->

    <figure class="video_container">
      <iframe src="https://www.youtube.com/embed/Rn5IiI3--Ag" frameborder="0" allowfullscreen="true"> </iframe>
    </figure>

    <!-- blank line -->


    [Join us at Open Source Summit Europe 2023](https://go.gitlab.com/dPQ92t) to
    learn more about GitLab's dedication to open source.

    {: .note}
  category: Open Source
  tags:
    - open source
    - community
    - features
config:
  slug: why-manjaro-builds-with-gitlab
  featured: false
  template: BlogPost
